{ config, lib, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # Monitoring
    htop
    # Password management
    gnupg
    pinentry-curses
    pass-wayland
    passff-host
    gitAndTools.pass-git-helper
    # Browsers
    (firefox.override { extraNativeMessagingHosts = [ passff-host ]; })
    chromium
    # LaTeX
    texlive.combined.scheme-full
    pandoc
    # Text editors
    neovim
    emacs
    ripgrep
    fd
    clang
    coreutils
    # Terminals
    tmux
    tmuxp
    fish
    # Development
    git
    direnv
    lorri
    nixfmt
    # Rice
    adapta-gtk-theme
    paper-icon-theme
  ];

  # Fonts declaration
  fonts = {
    fonts = with pkgs; [
      google-fonts
      siji
      cherry
      iosevka
      emacs-all-the-icons-fonts
    ];
  };

}
